Metric

Fetch metrics by providing the arguments in the query-parameters

curl "$LIOAPI/api/metric?keyspace=segsize&metric=web&name=my-metric" -s -H "Authorization: $LIOKEY" | jq '.'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Your Lytics account ID.

string

Name of the metric to return

string
required

Value of supported dimension (segment, experience, stream, etc)

string
required

ID for the specific item within dimension such as a segment ID. Tip: If the type is a segment you can use all_segments as the dimension id to get all segments for the account.

string
required

Type of metric to be returned (size, converted, etc)

string

Aggregation to apply to metrics (sum, max, min)

string

Duration to roll-up metrics (2h for roll-up into two-hour buckets). Intervals smaller than two hours are not recommended.

boolean

Passing true will include zero values in the response for every interval whether metrics were logged during that period or not.

boolean

Smooth metrics using a moving-average function

string

Fetch metrics after this date; both dates and relative-dates are supported

string

Fetch metrics before this date; both dates and relative-dates are supported

string

Time string used to calculate range from now (e.g "2h" will return the last 2 hours). This parameter cannot be used in conjunction with start_date and/or end_date)

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json